package com.ez.ertc.call.service

import androidx.lifecycle.MutableLiveData
import com.ez.dclog.statistics.ERTCLocalAudioStats
import com.ez.dclog.statistics.ERTCLocalVideoStats
import com.ez.dclog.statistics.ERTCRemoteAudioStats
import com.ez.dclog.statistics.ERTCRemoteVideoStats

class StatsLiveDataService {
    companion object {
        var instance: StatsLiveDataService? = null
            get() {
                if(field == null) {
                    field = StatsLiveDataService()
                }
                return field
            }
    }

    var mERTCLocalVideoStats: MutableLiveData<ERTCLocalVideoStats> = MutableLiveData()
    var mERTCLocalAudioStats: MutableLiveData<ERTCLocalAudioStats> = MutableLiveData()
    var mERTCRemoteVideoStats: MutableLiveData<ERTCRemoteVideoStats> = MutableLiveData()
    var mERTCRemoteAudioStats: MutableLiveData<ERTCRemoteAudioStats> = MutableLiveData()
}